Page MenuHomeFreeBSD

mail/py-afew: Update to 1.3.0
Changes PlannedPublic

Authored by yuri on Feb 10 2018, 9:21 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jun 18, 2:17 AM
Unknown Object (File)
Jan 8 2024, 3:12 PM
Unknown Object (File)
Dec 22 2023, 10:30 PM
Unknown Object (File)
Dec 13 2023, 12:21 AM
Unknown Object (File)
Nov 21 2023, 3:46 AM
Unknown Object (File)
Nov 12 2023, 6:02 AM
Unknown Object (File)
Jun 24 2023, 3:01 AM
Unknown Object (File)
May 14 2023, 10:05 AM

Details

Reviewers
None
Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=225743

Changelog:
https://github.com/afewmail/afew/releases/tag/1.3.0

Additinal port change

  • Fixed capitalization in COMMENT.
  • Added LICENSE_FILE.
  • Added mail/py-dkimpy dependency.
  • Added USE_PYTHON=concurrent.
  • MANPAGES option turned into DOCS option.
  • Removed the unnecessary .if ${PYTHON_REL} clause

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 14924
Build 15036: arc lint + arc unit

Event Timeline

yuri planned changes to this revision.Feb 10 2018, 9:22 AM
mail/py-afew/Makefile
31

As someone still relatively new to FreeBSD ports I've been wondering about the use of @ in its Makefiles. I'm familiar with its effect but I don't know why it's used so seemingly inconsistently in the ports. So in which situations do I prefix a command with @ and when is it fine to omit it?

mail/py-afew/Makefile
31

@ should be on all commands except the commands that install files, like INSTALL_xxx and COPYTREE_SHARE.

yuri marked 2 inline comments as done.Feb 10 2018, 6:48 PM
mail/py-afew/Makefile
22–23

To @seschwar_gmail.com,

May I ask why do you remove MANPAGES option?

@yuri mentioned "MANPAGES option turned into DOCS option" but I think the correct description is "maintainer removed MANPAGES option and added DOCS option" because they are different:

  • MANPAGES option is for the manpage (man/man1/afew.1.gz)
  • DOCS option is for the documentation in DOCSDIR
28

I think PORTDOCS=* is fine.

31

@yuri, please use MAKE_CMD instead of MAKE.

BTW, can you move the target (html) to the end of command? we usually put ARGS before TARGET.

31

To @seschwar_gmail.com,

We silence extract, patch, configure and build messages.
We do not silence installation messages.

yuri marked an inline comment as done.Feb 10 2018, 7:40 PM
yuri added inline comments.
mail/py-afew/Makefile
31

Ok! I know, will update.

mail/py-afew/Makefile
22–23

Previously the documentation was shipped in ROFF format as a manual page. However the content didn't fit a manual page at all. For example it didn't have NAME, SYNOPSIS and DESCRIPTION sections. It just wasn't a manual page even if it could be viewed with man. The structure of the documentation is more befitting of a different format. Therefore the documentation's format was changed to HTML. The option name was changed accordingly.

You are correct that the description of "renamed to" or "turned into" is not really fitting. How about:

Replace MANPAGES with DOCS option shipping the documentation as HTML instead of ROFF.

mail/py-afew/Makefile
22–23

I only checked that afew.1 is generated with "man" target but did not check its format. It's OK to remove it if it does not fit a manpage.

mail/py-afew/Makefile
31

@sunpoet, thanks for explaining the usage of @. But out of curiosity: Why are installation messages the only non-silenced ones?

@yuri, will you address @sunpoet's objections or should I? I'm a bit confused, since you marked my initial revision D14255 as abandoned and created this one instead.

@yuri, will you address @sunpoet's objections or should I? I'm a bit confused, since you marked my initial revision D14255 as abandoned and created this one instead.

Hi seschwar@gmail.com,

I will address them.

Yuri

For some reason, I am getting this error:

/usr/ports/mail/py-afew/work/afew-1.3.0/docs/source/implementation.rst:11: WARNING: autodoc: failed to import class u'Database' from module u'afew.Database'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 658, in import_object
    __import__(self.modname)
ImportError: No module named afew.Database
/usr/ports/mail/py-afew/work/afew-1.3.0/docs/source/implementation.rst:18: WARNING: autodoc: failed to import class u'Filter' from module u'afew.Filter'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 658, in import_object
    __import__(self.modname)
ImportError: No module named afew.Filter
/usr/ports/mail/py-afew/work/afew-1.3.0/docs/source/implementation.rst:24: WARNING: autodoc: failed to import module u'afew.Settings'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 658, in import_object
    __import__(self.modname)
ImportError: No module named afew.Settings
/usr/ports/mail/py-afew/work/afew-1.3.0/docs/source/implementation.rst:27: WARNING: autodoc: failed to import module u'afew.NotmuchSettings'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 658, in import_object
    __import__(self.modname)
ImportError: No module named afew.NotmuchSettings
/usr/ports/mail/py-afew/work/afew-1.3.0/docs/source/implementation.rst:34: WARNING: autodoc: failed to import module u'afew.utils'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 658, in import_object
    __import__(self.modname)
ImportError: No module named afew.utils
mail/py-afew/Makefile
31

Because the *install* targets are the only one who change the user's files. fetch only writes in DISTDIR, and all the other targets only write in WRKDIR. We feel it is important to echo the commands that actually install files on the user's system.